export type UseWebWorkerProps = {
    fn?: (data: unknown) => unknown;
    initialValue?: unknown;
    onMessageReceived?: () => void;
};
export declare function useWebWorker({ fn, initialValue, onMessageReceived }: UseWebWorkerProps): {
    result: unknown;
    setResult: import('react').Dispatch<unknown>;
    run: (value: unknown) => void;
};
